Loading...
Searching...
No Matches
url_t Struct Reference

URL structure. More...

`#include <url.h>`

## Data Fields

char | url_pad [sizeof(void *) - 2]
| Zero pad for URL_STRING_P().
signed char | url_type
| URL type (url_type_e).
char | url_root
| Nonzero if root "//".
char const * | url_scheme
| URL type as string.
char const * | url_user
| User part.
char const * | url_password
| Password.
char const * | url_host
| Host part.
char const * | url_port
| Port.
char const * | url_path
| Path part, starts with "/".
char const * | url_params
| Parameters (separated by ;).
char const * | url_headers
| Headers (separated by ?
char const * | url_fragment
| Fragment (separated by #).

## Detailed Description

URL structure.

This structure is used to present a parsed URL.

## Field Documentation

## url_headers

char const* url_headers

Headers (separated by ?

and &)

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.